Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Protocol_Object Class Reference

TAO_AV_Protocol_object for the RTP protocol. More...

`#include <Protocol_Factory.h>`

Inheritance diagram for TAO_AV_Protocol_Object

[legend]
Collaboration diagram for TAO_AV_Protocol_Object:

[legend]
List of all members.

## Public Methods
| TAO_AV_Protocol_Object (void)
| TAO_AV_Protocol_Object (TAO_AV_Callback *callback, TAO_AV_Transport *transport)
| constructor.
virtual | ~TAO_AV_Protocol_Object (void)
| Destructor.
virtual int | open (TAO_AV_Callback *callback, TAO_AV_Transport *transport)
virtual int | handle_input (void) = 0
virtual int | handle_control_input (ACE_Message_Block *control_frame, const ACE_Addr &peer_address)
| Called on a control object.
virtual int | set_policies (const TAO_AV_PolicyList &policy_list)
| set/get policies.
virtual TAO_AV_PolicyList | get_policies (void)
virtual int | start (void)
| start/stop the flow.
virtual int | stop (void)
virtual int | send_frame (ACE_Message_Block *frame, TAO_AV_frame_info *frame_info = 0) = 0
| send a data frame.
virtual int | send_frame (const iovec *iov, int iovcnt, TAO_AV_frame_info *frame_info = 0) = 0
| send a frame in iovecs.
virtual int | send_frame (const char *buf, size_t len) = 0
virtual void | control_object (TAO_AV_Protocol_Object *object)
| end the stream.
virtual int | destroy (void) = 0
TAO_AV_Transport* | transport (void)
## Protected Attributes
TAO_AV_Transport* | transport_
TAO_AV_PolicyList | policy_list_
TAO_AV_Callback* | callback_

## Detailed Description

TAO_AV_Protocol_object for the RTP protocol.

## Constructor & Destructor Documentation

TAO_AV_Protocol_Object::TAO_AV_Protocol_Object ( | void )

TAO_AV_Protocol_Object::TAO_AV_Protocol_Object ( | TAO_AV_Callback * callback,
| TAO_AV_Transport * transport )

| constructor.

TAO_AV_Protocol_Object::~TAO_AV_Protocol_Object ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

void TAO_AV_Protocol_Object::control_object ( | TAO_AV_Protocol_Object * object )`[virtual]`

| end the stream. Reimplemented in TAO_AV_RTP_Object.

virtual int TAO_AV_Protocol_Object::destroy ( | void )`[pure virtual]`

| Reimplemented in TAO_AV_RTCP_Object, TAO_AV_RTP_Object, TAO_SFP_Object, TAO_AV_TCP_Object, and TAO_AV_UDP_Object.

TAO_AV_PolicyList TAO_AV_Protocol_Object::get_policies ( | void )`[virtual]`

int TAO_AV_Protocol_Object::handle_control_input ( | ACE_Message_Block * frame,
| const ACE_Addr & peer_address )`[virtual]`

| Called on a control object. Reimplemented in TAO_AV_RTCP_Object.

virtual int TAO_AV_Protocol_Object::handle_input ( | void )`[pure virtual]`

| Reimplemented in TAO_AV_RTCP_Object, TAO_AV_RTP_Object, TAO_SFP_Object, TAO_SFP_Producer_Object, TAO_SFP_Consumer_Object, TAO_AV_TCP_Object, and TAO_AV_UDP_Object.

int TAO_AV_Protocol_Object::open ( | TAO_AV_Callback * callback,
| TAO_AV_Transport * transport )`[virtual]`

virtual int TAO_AV_Protocol_Object::send_frame ( | const char * buf,
| size_t len )`[pure virtual]`

| Reimplemented in TAO_AV_RTCP_Object, TAO_AV_RTP_Object, TAO_SFP_Object, TAO_AV_TCP_Object, and TAO_AV_UDP_Object.

int TAO_AV_Protocol_Object::send_frame ( | const iovec * iov,
| int iovcnt,
| TAO_AV_frame_info * frame_info = 0 )`[pure virtual]`

| send a frame in iovecs. Reimplemented in TAO_AV_RTCP_Object, TAO_AV_RTP_Object, TAO_SFP_Object, TAO_AV_TCP_Object, and TAO_AV_UDP_Object.

int TAO_AV_Protocol_Object::send_frame ( | ACE_Message_Block * frame,
| TAO_AV_frame_info * frame_info = 0 )`[pure virtual]`

| send a data frame. Reimplemented in TAO_AV_RTCP_Object, TAO_AV_RTP_Object, TAO_SFP_Object, TAO_AV_TCP_Object, and TAO_AV_UDP_Object.

int TAO_AV_Protocol_Object::set_policies ( | const TAO_AV_PolicyList & policies )`[virtual]`

| set/get policies. Reimplemented in TAO_AV_RTCP_Object, TAO_AV_RTP_Object, and TAO_SFP_Object.

int TAO_AV_Protocol_Object::start ( | void )`[virtual]`

| start/stop the flow. Reimplemented in TAO_AV_RTCP_Object, and TAO_AV_RTP_Object.

int TAO_AV_Protocol_Object::stop ( | void )`[virtual]`

| Reimplemented in TAO_AV_RTCP_Object, and TAO_AV_RTP_Object.

TAO_AV_Transport * TAO_AV_Protocol_Object::transport ( | void )

## Member Data Documentation

TAO_AV_Callback * TAO_AV_Protocol_Object::callback_`[protected]`

TAO_AV_PolicyList TAO_AV_Protocol_Object::policy_list_`[protected]`

TAO_AV_Transport * TAO_AV_Protocol_Object::transport_`[protected]`

The documentation for this class was generated from the following files:

- Protocol_Factory.h
- Protocol_Factory.cpp